Package org.apache.datasketches.kll

# Class KllLongsSketchIterator

java.lang.Object
org.apache.datasketches.kll.KllSketchIterator
org.apache.datasketches.kll.KllLongsSketchIterator

All Implemented Interfaces:
  `QuantilesLongsSketchIterator`, `QuantilesSketchIterator`

public final class KllLongsSketchIterator extends KllSketchIterator implements QuantilesLongsSketchIterator
Iterator over KllLongsSketch. The order is not defined.

## Method Summary

Modifier and Type
Method
Description
`long`
`getQuantile()`
Gets the long quantile at the current index.

### Methods inherited from class org.apache.datasketches.kll.KllSketchIterator

`getWeight, next`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.datasketches.quantilescommon.QuantilesSketchIterator

`getWeight, next`

## Method Details

### getQuantile

public long getQuantile()
Description copied from interface: `QuantilesLongsSketchIterator`
Gets the long quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Specified by:
  `getQuantile` in interface `QuantilesLongsSketchIterator`
Returns:
  the long quantile at the current index.